Price Level
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/price-levels/{levelId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/price-levels/{levelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/price-levels/{levelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"status": "active",
"name": "Wholesale",
"type": "percentage",
"percent_increase": 15.5
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource",
"status_code": 403
}{
"error": "Not Found",
"message": "The requested resource could not be found",
"status_code": 404
}Pricing
Price Level
Get detailed information for a specific price level
GET
/
price-levels
/
{levelId}
Price Level
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
The unique identifier of the price level
Response
Price level details
Unique identifier for the price level
Example:
123
When the price level was created
Example:
"2023-03-15T14:30:00Z"
When the price level was last updated
Example:
"2023-03-15T14:30:00Z"
Status of the price level
Available options:
active, inactive Example:
"active"
Name of the price level
Example:
"Wholesale"
Type of the price level
Example:
"percentage"
Percentage increase (or decrease) for this price level
Example:
15.5